import { DasInput, vDasTooltip, vOverlay, DasTree } from '@das-fed/ui';
import { RecycleScroller } from 'vue-virtual-scroller';
import 'vue-virtual-scroller/dist/vue-virtual-scroller.css';
import type { Props } from './type';
declare const nodeKey: import("vue").ComputedRef<any>;
declare const innerPath: import("vue").Ref<any, any>;
declare const inputRef: import("vue").Ref<any, any>;
declare const treeNodeClick: (val: any) => void;
declare const currentNodeKey: import("vue").Ref<any, any>;
declare const domPopover: import("vue").Ref<any, any>;
declare const currentSize: import("vue").Ref<any, any>;
declare const currentIsView: import("vue").Ref<any, any>;
declare const inputValue: import("vue").Ref<any, any>;
declare const treeRef: import("vue").Ref<any, any>;
declare const inputIng: (val: string) => void;
declare const changeEvenet: (val: any) => void;
declare const inputClear: () => void;
declare const visible: import("vue").Ref<boolean, boolean>;
declare const hasInputValue: import("vue").Ref<boolean, boolean>;
declare const inputClick: () => void;
declare const handleSelect: (item: any) => Promise<void>;
declare const selectOptions: import("vue").Ref<any[], any[]>;
declare const currentWidth: import("vue").ComputedRef<string | number>;
declare const $completeEL: import("vue").Ref<any, any>;
declare const currentPopoverWidth: import("vue").Ref<string | number, string | number>;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_34: string | number, __VLS_35: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    [K in NonNullable<typeof __VLS_34>]?: (props: typeof __VLS_35) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    DasInput: typeof DasInput;
    vDasTooltip: typeof vDasTooltip;
    vOverlay: typeof vOverlay;
    DasTree: typeof DasTree;
    RecycleScroller: typeof RecycleScroller;
    nodeKey: typeof nodeKey;
    innerPath: typeof innerPath;
    inputRef: typeof inputRef;
    treeNodeClick: typeof treeNodeClick;
    currentNodeKey: typeof currentNodeKey;
    domPopover: typeof domPopover;
    currentSize: typeof currentSize;
    currentIsView: typeof currentIsView;
    inputValue: typeof inputValue;
    treeRef: typeof treeRef;
    inputIng: typeof inputIng;
    changeEvenet: typeof changeEvenet;
    inputClear: typeof inputClear;
    visible: typeof visible;
    hasInputValue: typeof hasInputValue;
    inputClick: typeof inputClick;
    handleSelect: typeof handleSelect;
    selectOptions: typeof selectOptions;
    currentWidth: typeof currentWidth;
    $completeEL: typeof $completeEL;
    currentPopoverWidth: typeof currentPopoverWidth;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    input: (val: string) => any;
    "update:modelValue": (val: string) => any;
    change: (val: string) => any;
    "update:path": (val: any) => any;
    "node-click": (val: any) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onInput?: ((val: string) => any) | undefined;
    "onUpdate:modelValue"?: ((val: string) => any) | undefined;
    onChange?: ((val: string) => any) | undefined;
    "onUpdate:path"?: ((val: any) => any) | undefined;
    "onNode-click"?: ((val: any) => any) | undefined;
}>, {
    size: "default" | "table";
    mode: "tree" | "list";
    modelValue: string;
    placement: "top" | "top-start" | "top-end" | "bottom" | "bottom-start" | "bottom-end";
    offset: number;
    popperOptions: Record<string, any>;
    width: number | string;
    isView: boolean;
    options: any[];
    showFullPath: boolean;
    fieldNames: import("./type").FieldNamesOptions & any;
    maxCount: number;
    treeOptions: any;
    showInputDom: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    input: (val: string) => any;
    "update:modelValue": (val: string) => any;
    change: (val: string) => any;
    "update:path": (val: any) => any;
    "node-click": (val: any) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onInput?: ((val: string) => any) | undefined;
    "onUpdate:modelValue"?: ((val: string) => any) | undefined;
    onChange?: ((val: string) => any) | undefined;
    "onUpdate:path"?: ((val: any) => any) | undefined;
    "onNode-click"?: ((val: any) => any) | undefined;
}>, {
    size: "default" | "table";
    mode: "tree" | "list";
    modelValue: string;
    placement: "top" | "top-start" | "top-end" | "bottom" | "bottom-start" | "bottom-end";
    offset: number;
    popperOptions: Record<string, any>;
    width: number | string;
    isView: boolean;
    options: any[];
    showFullPath: boolean;
    fieldNames: import("./type").FieldNamesOptions & any;
    maxCount: number;
    treeOptions: any;
    showInputDom: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
